# Class TableEntry

java.lang.Object
com.independentsoft.pst.TableEntry

public class TableEntry extends Object
The Class TableEntry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<byte[]>`
  `getBinaryArrayValue()`
  Gets the binary array value.
  `byte[]`
  `getBinaryValue()`
  Gets the binary value.
  `boolean`
  `getBooleanValue()`
  Gets the boolean value.
  `Date`
  `getDateTimeValue()`
  Gets the date time value.
  `double[]`
  `getDoubleArrayValue()`
  Gets the double array value.
  `double`
  `getDoubleValue()`
  Gets the double value.
  `float[]`
  `getFloatArrayValue()`
  Gets the float array value.
  `float`
  `getFloatValue()`
  Gets the float value.
  `List<byte[]>`
  `getGuidArrayValue()`
  Gets the guid array value.
  `byte[]`
  `getGuidValue()`
  Gets the guid value.
  `int[]`
  `getIntegerArrayValue()`
  Gets the integer array value.
  `int`
  `getIntegerValue()`
  Gets the integer value.
  `long[]`
  `getLongArrayValue()`
  Gets the long array value.
  `long`
  `getLongValue()`
  Gets the long value.
  `PropertyTag`
  `getPropertyTag()`
  Gets the property tag.
  `short[]`
  `getShortArrayValue()`
  Gets the short array value.
  `short`
  `getShortValue()`
  Gets the short value.
  `String[]`
  `getStringArrayValue()`
  Gets the string array value.
  `String`
  `getStringValue()`
  Gets the string value.
  `byte[]`
  `getValueBuffer()`
  Gets the value buffer.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getBooleanValue

    public boolean getBooleanValue()
    Gets the boolean value.
    Returns:
      the boolean value

  - ### getShortValue

    public short getShortValue()
    Gets the short value.
    Returns:
      the short value

  - ### getShortArrayValue

    public short[] getShortArrayValue()
    Gets the short array value.
    Returns:
      the short array value

  - ### getIntegerValue

    public int getIntegerValue()
    Gets the integer value.
    Returns:
      the integer value

  - ### getIntegerArrayValue

    public int[] getIntegerArrayValue()
    Gets the integer array value.
    Returns:
      the integer array value

  - ### getFloatValue

    public float getFloatValue()
    Gets the float value.
    Returns:
      the float value

  - ### getFloatArrayValue

    public float[] getFloatArrayValue()
    Gets the float array value.
    Returns:
      the float array value

  - ### getLongValue

    public long getLongValue()
    Gets the long value.
    Returns:
      the long value

  - ### getLongArrayValue

    public long[] getLongArrayValue()
    Gets the long array value.
    Returns:
      the long array value

  - ### getDoubleValue

    public double getDoubleValue()
    Gets the double value.
    Returns:
      the double value

  - ### getDoubleArrayValue

    public double[] getDoubleArrayValue()
    Gets the double array value.
    Returns:
      the double array value

  - ### getStringValue

    public String getStringValue()
    Gets the string value.
    Returns:
      the string value

  - ### getStringArrayValue

    public String[] getStringArrayValue()
    Gets the string array value.
    Returns:
      the string array value

  - ### getBinaryValue

    public byte[] getBinaryValue()
    Gets the binary value.
    Returns:
      the binary value

  - ### getBinaryArrayValue

    public List<byte[]> getBinaryArrayValue()
    Gets the binary array value.
    Returns:
      the binary array value

  - ### getGuidValue

    public byte[] getGuidValue()
    Gets the guid value.
    Returns:
      the guid value

  - ### getGuidArrayValue

    public List<byte[]> getGuidArrayValue()
    Gets the guid array value.
    Returns:
      the guid array value

  - ### getDateTimeValue

    public Date getDateTimeValue()
    Gets the date time value.
    Returns:
      the date time value

  - ### getPropertyTag

    public PropertyTag getPropertyTag()
    Gets the property tag.
    Returns:
      the property tag

  - ### getValueBuffer

    public byte[] getValueBuffer()
    Gets the value buffer.
    Returns:
      the value buffer